//////////////////////////////////////////////////
//Title    : pub_wnet.h
//Auhtor   : Liu Wei
//Desc     : wireless network publice function
//Created  : 2007-06-05
//Revision :
//
//Revision :
//
//////////////////////////////////////////////////


#ifndef _WXC_WNET_H_
#define _WXC_WNET_H_

#include "public.h"
#include "includes.h"
#include "pub_base.h"
#include "pub_fmt.h"

#define ISDN_LEN  9
#define IMSI_LEN  8

/* ./src/pub_wnet.c */
u8 GetBcdStr(char *str, u8 *bcd, u8 bcd_len);
void ImsiNtoA(u8 *pAntiImsi, u8 *pNormalImsi);
void ImsiAToN(u8 *pNormalImsi, u8 *pAntiImsi);
void ImsiNToS(u8 *pImsiStr, u8 *pNormalImsi);
void ImsiSToN(u8 *pNormalImsi, u8 *pImsiStr);
void IsdnNToA(u8 *pAntiIsdn, u8 *pNormalIsdn);
void IsdnAToN(u8 *pNormalIsdn, u8 *pAntiIsdn);
void IsdnNToS(u8 *pIsdnStr, u8 *pNormalIsdn);
u8 IsdnSToN(u8 *pNormalIsdn, u8 *pIsdnStr);
void GttToIsdn(u8 *pIsdn, u8 *pGtt);
u8 IsdnToGtai(u8 *pGtai, u8 *pIsdn);
void GtaiToIsdn(u8 *pIsdn, u8 *pGtai, u8 len);
u8 BcdToStrPE(char *str, u8 *bcd, u8 bcd_len);
void AddCcToIsdn(u8 *isdn_str, u8 *cc);
void AddNdcToIsdn(u8 *isdn_str, u8 *ndc);

#endif
